Bug 53649 - NEW port: math/lp_solve
Summary: NEW port: math/lp_solve
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-23 21:20 UTC by Pedro F. Giffuni
Modified: 2003-07-19 05:33 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2003-06-23 21:20:09 UTC
A solver for Linear Programming problems.

Fix: ______________________________________________________________________
Yahoo! Mail: 6MB di spazio gratuito, 30MB per i tuoi allegati, l'antivirus, il filtro Anti-spam
http://it.yahoo.com/mail_it/foot/?http://it.mail.yahoo.com/
--0-696907977-1056399504=:92889
Content-Type: text/plain; name="port-lp_solve.shar"
Content-Description: port-lp_solve.shar
Content-Disposition: inline; filename="port-lp_solve.shar"



--0-696907977-1056399504=:92889----1g0UM9cE3jF0JdLvcolrsPwuHpWj2OMDbAXttayFQVMXc3w0
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	lp_solve
#	lp_solve/files
#	lp_solve/files/patch-Makefile
#	lp_solve/files/patch-lpkit.h
#	lp_solve/pkg-plist
#	lp_solve/Makefile
#	lp_solve/distinfo
#	lp_solve/pkg-descr
#
echo c - lp_solve
mkdir -p lp_solve > /dev/null 2>&1
echo c - lp_solve/files
mkdir -p lp_solve/files > /dev/null 2>&1
echo x - lp_solve/files/patch-Makefile
sed 's/^X//' >lp_solve/files/patch-Makefile << 'END-of-lp_solve/files/patch-Makefile'
X--- Makefile.orig	Sat Jun  7 14:05:47 2003
X+++ Makefile	Sat Jun  7 14:37:17 2003
X@@ -1,4 +1,4 @@
X-CC= gcc
X+CC?= gcc
X 
X #should be OK in most situations:
X #CFLAGS= -O
X@@ -9,7 +9,7 @@
X #CFLAGS= -g -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD
X 
X # nice for gcc
X-CFLAGS= -O3 -Wall -pedantic -ansi
X+CFLAGS+= -O3 -ansi -DCHECK
X #CFLAGS= -g -Wall -pedantic -ansi
X 
X # Option -DCHECK checks for numerical problems during rounding of numbers.
X@@ -39,7 +39,7 @@
X #ANSI math lib
X #MATHLIB= -lM
X #non-ANSI math lib, should also work
X-MATHLIB= -lm
X+MATHLIB= -lm -lcompat
X 
X LPKSRC.c= lpkit.c solve.c debug.c read.c readmps.c hash.c presolve.c
X LEXFILE.l= lex.l
END-of-lp_solve/files/patch-Makefile
echo x - lp_solve/files/patch-lpkit.h
sed 's/^X//' >lp_solve/files/patch-lpkit.h << 'END-of-lp_solve/files/patch-lpkit.h'
X--- lpkit.h.orig	Sat Jun  7 14:25:47 2003
X+++ lpkit.h	Sat Jun  7 14:30:27 2003
X@@ -260,6 +260,7 @@
X #define MAX_WARN_COUNT 20
X 
X #ifdef CHECK
X+extern int	Warn_count;
X #define my_round(val, eps) { \
X     REAL absv; \
X         absv = ((val) < 0 ? -(val) : (val)); \
END-of-lp_solve/files/patch-lpkit.h
echo x - lp_solve/pkg-plist
sed 's/^X//' >lp_solve/pkg-plist << 'END-of-lp_solve/pkg-plist'
Xbin/lp2mps
Xbin/lp_solve
Xbin/mps2lp
X%%PORTDOCS%%%%DOCSDIR%%/HARTMUT_DOCUMENTATION
X%%PORTDOCS%%%%DOCSDIR%%/MPS.description
X%%PORTDOCS%%%%DOCSDIR%%/SOSInterpolation.pdf
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
X%%PORTDOCS%%%%EXAMPLESDIR%%/demo
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/demo_lag.lp
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/demo_lag.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex1.lp
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex1.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex1sc.mps
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex1sc.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex1sos.mps
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex1sos.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex2.lp
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex2.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex2sc.mps
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex2sc.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex2sos.mps
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex2sos.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex3.lp
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex3.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex3sos.mps
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex3sos.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex4.lp
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex4.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex4sos.mps
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex4sos.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex5.lp
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex5.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex5sos.mps
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex5sos.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex6.lp
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex6.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex6sos.mps
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex6sos.out
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex7.lp
X%%PORTDOCS%%%%EXAMPLESDIR%%/lp_examples/ex7.out
X%%PORTDOCS%%@dirrm %%EXAMPLESDIR%%
END-of-lp_solve/pkg-plist
echo x - lp_solve/Makefile
sed 's/^X//' >lp_solve/Makefile << 'END-of-lp_solve/Makefile'
X# New ports collection makefile for:	lp_solve
X# Date created:         31 June 2003
X# Whom:			Pedro F. Giffuni <giffunip@asme.org>
X#
X# $FreeBSD: $
X#
X
XPORTNAME=	lp_solve
XPORTVERSION=	4.0
XCATEGORIES=	math
XMASTER_SITES=	ftp://ftp.ics.ele.tue.nl/pub/lp_solve/
XDISTNAME=	${PORTNAME}_${PORTVERSION}
X
XMAINTAINER=	ports@FreeBSD.org
XCOMMENT=	Linear Programming Solver
X
XMAN1=		lp_solve.1
X
Xdo-install:
X	${INSTALL_PROGRAM} ${WRKSRC}/lp_solve ${PREFIX}/bin
X	${INSTALL_PROGRAM} ${WRKSRC}/lp2mps ${PREFIX}/bin
X	${INSTALL_PROGRAM} ${WRKSRC}/mps2lp ${PREFIX}/bin
X	${INSTALL_MAN} ${WRKSRC}/lp_solve.1 ${PREFIX}/man/man1
X.ifndef NOPORTDOCS
X	${MKDIR} ${DOCSDIR}
X	${CP} $(WRKSRC)/HARTMUT_DOCUMENTATION ${DOCSDIR}
X	${CP} $(WRKSRC)/MPS.description ${DOCSDIR}
X	${CP} $(WRKSRC)/*.pdf ${DOCSDIR}
X	${MKDIR} ${EXAMPLESDIR}
X	${INSTALL_PROGRAM} ${WRKSRC}/demo ${EXAMPLESDIR}
X	${CP} -R $(WRKSRC)/lp_examples ${EXAMPLESDIR}
X.endif
X
X.include <bsd.port.mk>
END-of-lp_solve/Makefile
echo x - lp_solve/distinfo
sed 's/^X//' >lp_solve/distinfo << 'END-of-lp_solve/distinfo'
XMD5 (lp_solve_4.0.tar.gz) = 58892f708d7f78664bce80c1ebc250f9
END-of-lp_solve/distinfo
echo x - lp_solve/pkg-descr
sed 's/^X//' >lp_solve/pkg-descr << 'END-of-lp_solve/pkg-descr'
XThis is the lp_solve, A free linear programming solver that can process 
Xstandard MPL format.
XThis lp_solve versions is released under the LGPL license. See LGPL.txt
X
Xbug reports, success stories and requests for changes are welcome at:
X
XMichel Berkelaar
Xmichel@ics.ele.tue.nl
X________
XNOTE: Current development of this tool is done on Yahoo's "lp_solve" 
Xgroup.
END-of-lp_solve/pkg-descr
exit
Comment 1 Maho Nakata freebsd_committer 2003-07-19 05:33:43 UTC
State Changed
From-To: open->closed

New ports added, thanks!